# Github Actions

* [Get Github Handle](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_handle/README.md) : Get Github Handle
* [Github Assign Issue](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_assign_issue/README.md) : Assign a github issue to a user
* [Github Close Pull Request](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_close_pull_request/README.md) : Close pull request based on pull request number
* [Github Comment on an Issue](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_issue_comment/README.md) : Add a comment to the selected GitHub Issue
* [Github Count Stars](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_count_stars/README.md) : Get count of stars for a repository
* [Github Create Issue](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_create_issue/README.md) : Create a new Github Issue for a repository
* [Github Create Team](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_create_team/README.md) : Create a new Github Team
* [Github Delete Branch](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_delete_branch/README.md) : Delete a github branch
* [Github Get Branch](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_branch/README.md) : Get Github branch for a user in a repository
* [Github Get Issue](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_issue/README.md) : Get Github Issue from a repository
* [Github Get Open Branches](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_open_branches/README.md) : Get first 100 open branches for a given user in a given repo.
* [Github Get Pull Request](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_pull_request/README.md) : Get Github Pull Request for a user in a repository
* [Github Get Team](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_team/README.md) : Github Get Team
* [Github Get User](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_user/README.md) : Get Github User details
* [Github Invite User to Organization](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_invite_user_to_org/README.md) : Invite a Github User to an Organization
* [Github List Open Issues](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_open_issues/README.md) : List open Issues in a Github Repository
* [Github List Organization Members](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_org_members/README.md) : List Github Organization Members
* [Github List PR Commits](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_pull_request_commits/README.md) : Github List all Pull Request Commits
* [Github List Pull Request Reviewers](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_pull_request_reviewers/README.md) : List PR reviewers for a PR
* [Github List Pull Requests](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_pull_requests/README.md) : List pull requests for a user in a repository
* [Github List Stale Issues](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_stale_issues/README.md) : List Stale Github Issues that have crossed a certain age limit.
* [Github List Stale Pull Requests](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_stale_pull_requests/README.md) : Check for any Pull requests over a certain age.
* [Github List Stargazers](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_stargazers/README.md) : List of Github users that have starred (essentially bookmarked) a repository
* [Github List Team Members](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_team_members/README.md) : List Github Team Members for a given Team
* [Github List Team Repositories](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_team_repos/README.md) : Github List Team Repositories
* [Github List Teams in Organization](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_teams_in_org/README.md) : List teams in a organization in GitHub
* [Github List Webhooks](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_list_webhooks/README.md) : List webhooks for a repository
* [Github Merge Pull Request](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_merge_pull_request/README.md) : Github Merge Pull Request
* [Github Remove Member from Organization](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_remove_member_from_org/README.md) : Remove a member from a Github Organization
* [Github get open pull requests](https://github.com/unskript/Awesome-CloudOps-Automation/Github/legos/github_get_open_pull_requests/README.md) : This action gets details of open pull requests


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/github/action_github.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
